package com.gh.common.chain

import android.content.Context
import com.gh.download.server.BrowserInstallHelper
import com.gh.gamecenter.feature.entity.GameEntity

class BrowserInstallHandler : DownloadChainHandler() {

    override fun handleRequest(context: Context, gameEntity: GameEntity, asVGame: Boolean) {
        BrowserInstallHelper.showBrowserInstallHintDialog(
            context,
            gameEntity,
            asVGame || gameEntity.isSplitXApk()
        ) {
            if (hasNext()) {
                getNext()?.handleRequest(context, gameEntity, asVGame)
            } else {
                processEndCallback?.invoke(asVGame, null)
            }
        }
    }
}